All Vulnerability Reports

USN-4764-1: GLib vulnerability


Severity

Medium

Vendor

VMware Tanzu

Versions Affected
  • Canonical Ubuntu 16.04
  • Canonical Ubuntu 18.04
Description

It was discovered that GLib incorrectly handled certain symlinks when replacing files. If a user or automated system were tricked into extracting a specially crafted file with File Roller, a remote attacker could possibly create files outside of the intended directory.

CVEs contained in this USN include: CVE-2021-28153

Affected VMware Products and Versions

Severity is medium unless otherwise noted.

  • Platform Automation Toolkit
    • 4.4.x versions prior to 4.4.22
    • 5.0.x versions prior to 5.0.16
  • Tanzu Greenplum for Kubernetes
    • All versions prior to 2.0.0
  • Isolation Segment
    • 2.7.x versions prior to 2.7.32, or later versions with Xenial Stemcells prior to 456.152
    • 2.8.x versions prior to 2.8.26, or later versions with Xenial Stemcells prior to 621.115
    • 2.9.x versions prior to 2.9.20, or later versions with Xenial Stemcells prior to 621.115
    • 2.10.x versions prior to 2.10.12, or later versions with Xenial Stemcells prior to 621.115
    • 2.11.x versions prior to 2.11.1, or later versions with Xenial Stemcells prior to 621.115
  • Operations Manager
    • 2.7.x versions prior to 2.7.30
    • 2.9.x versions prior to 2.9.19
    • 2.10.x versions prior to 2.10.9
  • VMware Tanzu Application Service for VMs
    • 2.7.x versions prior to 2.7.33, or later versions with Xenial Stemcells prior to 456.152
    • 2.8.x versions prior to 2.8.27, or later versions with Xenial Stemcells prior to 621.115
    • 2.9.x versions prior to 2.9.21, or later versions with Xenial Stemcells prior to 621.115
    • 2.10.x versions prior to 2.10.13, or later versions with Xenial Stemcells prior to 621.115
    • 2.11.x versions with Xenial Stemcells prior to 621.115
Mitigation

Users of affected products are strongly encouraged to follow the mitigation below. On the Tanzu Network product page for each release, check the Depends On section and/or Release Notes for this information. Releases that have fixed this issue include:

  • Platform Automation Toolkit
    • 4.4.22
    • 5.0.16
  • Tanzu Greenplum for Kubernetes
    • 2.0.0
  • Isolation Segment
    • 2.7.32, and upgrade Xenial Stemcells to 456.152 or greater
    • 2.8.26, and upgrade Xenial Stemcells to 621.115 or greater
    • 2.9.20, and upgrade Xenial Stemcells to 621.115 or greater
    • 2.10.12, and upgrade Xenial Stemcells to 621.115 or greater
    • 2.11.1, and upgrade Xenial Stemcells to 621.115 or greater
  • Operations Manager
    • 2.7.30
    • 2.9.19
    • 2.10.9
  • VMware Tanzu Application Service for VMs
    • 2.7.33, and upgrade Xenial Stemcells to 456.152 or greater
    • 2.8.27, and upgrade Xenial Stemcells to 621.115 or greater
    • 2.9.21, and upgrade Xenial Stemcells to 621.115 or greater
    • 2.10.13, and upgrade Xenial Stemcells to 621.115 or greater
    • 2.11.x: Upgrade Xenial Stemcells to 621.115 or greater
References
History

2021-09-13: Initial vulnerability report published.